{#
 # This file is part of the DATAtourisme project.
 # @author Conjecto <contact@conjecto.com>
 # 2022
 # SPDX-License-Identifier: GPL-3.0-or-later
 # For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
 #}

{% extends '_layout.html.twig' %}
{% block title %}Structures{% endblock %}
{% set _breadcrumb = ['Administration', 'Structures'] %}

{% block content %}
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <a href="{{ path('organization.add') }}" class="btn btn-primary pull-right"><span class="fa fa-building"></span> Nouvelle structure</a>
        <h1>Structures</h1>
    </section>
    <section class="content">
        <!-- /.row -->
        <div class="row">
            <div class="col-xs-12">
                <div class="box">
                    <div class="box-body no-padding">
                        {{ form_start(list.form, {'action': app.request.pathinfo, 'method': 'GET'}) }}
                        <table class="table table-responsive table-hover m-b-0">
                            <thead>
                                <tr>
                                    {{ knp_pagination_sortable(list.pagination, 'Nom', 'o.name') }}
                                    {{ knp_pagination_sortable(list.pagination, 'Type', 't.name') }}
                                    {{ knp_pagination_sortable(list.pagination, 'Code postal', 'o.zip') }}
                                    {{ knp_pagination_sortable(list.pagination, 'Ville', 'o.city') }}
                                    <th class="sorting" style="width: 1px">Utilisateurs</th>
                                    <th class="sorting" style="width: 1px">Flux</th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr class="table-filters">
                                    <td>{{ form_widget(list.form.name, {'attr': {'class': 'input-sm'}}) }}</td>
                                    <td>{{ form_widget(list.form.type, {'attr': {'class': 'input-sm'}}) }}</td>
                                    <td>{{ form_widget(list.form.zip, {'attr': {'class': 'input-sm'}}) }}</td>
                                    <td>{{ form_widget(list.form.city, {'attr': {'class': 'input-sm'}}) }}</td>
                                    <td><input class="form-control input-sm" type="text" disabled></td>
                                    <td><input class="form-control input-sm" type="text" disabled></td>
                                </tr>
                            {% for organization in list.items %}
                                <tr>
                                    <td><a href="{{ path('organization.edit', {id: organization.id}) }}">{{ organization.name }}</a></td>
                                    <td>{{ organization.type.name }}</td>
                                    <td>{{ organization.zip }}</td>
                                    <td>{{ organization.city }}</td>
                                    <td class="text-right"><a href="{{ path('user.index', {user_filter:{organization: organization.id}}) }}">{{ organization.users | length }}</a></td>
                                    <td class="text-right"><a href="{{ path('flux.production', {production_flux_filter: {organization: organization.id}}) }}">{{ organization.flux | length }}</a></td>
                                </tr>
                            {% endfor %}
                            </tbody>
                        </table>
                        {{ form_end(list.form) }}
                    </div>

                    {% if list.pagination | length == 0 %}
                        <div class="blankslate blankslate-spacious">
                            <h3>Aucune structure ne correspond à votre recherche.</h3>
                            <p>Dommage :( Mais vous pouvez <a href="{{ path('organization.add') }}">créer une structure</a> !</p>
                        </div>
                    {% endif %}

                    <!-- /.box-body -->
                    {% if list.pageCount > 1 %}
                        <div class="box-footer">
                            {{ knp_pagination_render(list.pagination, null, [], {class: "pagination-sm no-margin pull-right"}) }}
                        </div>
                    {% endif %}
                </div>
                <!-- /.box -->
            </div>
        </div>
    </section>
{% endblock %}
